
%==========================================================================
function f = Phase_C_Ode(t,x,P)
% M-function which define the system 2nd-order 0DE as system of 1st-order 
% ODEs which hypothetically describe the behavior of Phase C
%==========================================================================

    % Define the coefficients of the ODE
    M = 10;
    [Beta,Alpha] = tweak_parameters(x,P);
    
    % Compute the RHS of system of 1st-order ODEs
    f  = zeros(2,1);
    f(1) = x(2);
    f(2) = (-Beta/M)*x(2) + (-Alpha/M)*x(1);
return    

%==========================================================================
function [Beta,Alpha] = tweak_parameters(x,P)
% Define the coefficients of the ODE
%==========================================================================

    % Unroll the parameter vector into meaningful components
    beta  = P(1:3);
    alpha = P(4:6);
    
    % Define the nonlinear damping and restoring force
    Beta  = beta(1)  + beta(2)*x(2)  + beta(3)*x(2)^2;
    Alpha = alpha(1) + alpha(2)*x(1) + alpha(3)*x(1)^2;
return 