function cost = phasec_cost(X, time1, depth1, time2, depth2)
%PHASEC_COST  Cost function to minimized for phase B
%  The X is the input to the function and the times and depths
%  never change (they are the parameters to this function)

% see below...
global HACK_y1 HACK_y1p HACK_y2 HACK_y2p;
  
delta = X(1);
omega = X(2);
D = X(3);
A = X(4);
B = X(5);
phi2 = X(6);

phi = atan(-delta/omega);

y1 = A*exp(-delta*time1) .* cos(omega*time1 + phi) + D;
y2 = B*exp(-delta*time2) .* cos(omega*time2 + phi2) + D;

cost = sum((y1 - depth1).^2) + sum((y2 - depth2).^2);

% don't ask don't tell...
HACK_y1 = y1;
HACK_y1p = -A*delta*exp(-delta*time1) .* cos(omega*time1+phi) - ...
    A*exp(-delta*time1) .* sin(omega*time1+phi)*omega;
HACK_y2 = y2;
HACK_y2p = -A*delta*exp(-delta*time2) .* cos(omega*time2+phi2) - ...
    A*exp(-delta*time2) .* sin(omega*time2+phi2)*omega;




